<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__cts__char__value__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_cts_char_value_t</compoundname>
    <includes local="no">cy_ble_cts.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__cts__char__value__t_1a275f769cf1ce166dd773b0e68fad8f4b" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
        <definition>cy_stc_ble_conn_handle_t cy_stc_ble_cts_char_value_t::connHandle</definition>
        <argsstring />
        <name>connHandle</name>
        <briefdescription>
<para>Connection handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" bodystart="164" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" line="164" />
      </memberdef>
      <memberdef id="structcy__stc__ble__cts__char__value__t_1a285d34176768b96d1499d90daaa667b6" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__service__api___c_t_s__definitions_1gab28471deec0e479464134b4c4c8309f5">cy_en_ble_cts_char_index_t</ref></type>
        <definition>cy_en_ble_cts_char_index_t cy_stc_ble_cts_char_value_t::charIndex</definition>
        <argsstring />
        <name>charIndex</name>
        <briefdescription>
<para>Characteristic index of Current Time Service. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" bodystart="165" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" line="165" />
      </memberdef>
      <memberdef id="structcy__stc__ble__cts__char__value__t_1a662d2d0cb0dc9a14701ef7db9bab7f43" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga840a7207c3fa1dd4e5d88f0bdfdceecb">cy_en_ble_gatt_err_code_t</ref></type>
        <definition>cy_en_ble_gatt_err_code_t cy_stc_ble_cts_char_value_t::gattErrorCode</definition>
        <argsstring />
        <name>gattErrorCode</name>
        <briefdescription>
<para>GATT error code for access control. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" bodystart="166" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" line="166" />
      </memberdef>
      <memberdef id="structcy__stc__ble__cts__char__value__t_1a99bdbd94c939b4c71ea0a90faa35d7f1" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__gatt__value__t">cy_stc_ble_gatt_value_t</ref> *</type>
        <definition>cy_stc_ble_gatt_value_t* cy_stc_ble_cts_char_value_t::value</definition>
        <argsstring />
        <name>value</name>
        <briefdescription>
<para>Pointer to value of Current Time Service Characteristic. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" bodystart="167" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" line="167" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Current Time Service Characteristic Value parameter structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="360">
        <label>cy_stc_ble_cts_char_value_t</label>
        <link refid="structcy__stc__ble__cts__char__value__t" />
        <childnode refid="361" relation="usage">
          <edgelabel>value</edgelabel>
        </childnode>
        <childnode refid="362" relation="usage">
          <edgelabel>connHandle</edgelabel>
        </childnode>
      </node>
      <node id="362">
        <label>cy_stc_ble_conn_handle_t</label>
        <link refid="structcy__stc__ble__conn__handle__t" />
      </node>
      <node id="361">
        <label>cy_stc_ble_gatt_value_t</label>
        <link refid="structcy__stc__ble__gatt__value__t" />
      </node>
    </collaborationgraph>
    <location bodyend="168" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" bodystart="162" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" line="163" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__cts__char__value__t_1a285d34176768b96d1499d90daaa667b6" virt="non-virtual"><scope>cy_stc_ble_cts_char_value_t</scope><name>charIndex</name></member>
      <member prot="public" refid="structcy__stc__ble__cts__char__value__t_1a275f769cf1ce166dd773b0e68fad8f4b" virt="non-virtual"><scope>cy_stc_ble_cts_char_value_t</scope><name>connHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__cts__char__value__t_1a662d2d0cb0dc9a14701ef7db9bab7f43" virt="non-virtual"><scope>cy_stc_ble_cts_char_value_t</scope><name>gattErrorCode</name></member>
      <member prot="public" refid="structcy__stc__ble__cts__char__value__t_1a99bdbd94c939b4c71ea0a90faa35d7f1" virt="non-virtual"><scope>cy_stc_ble_cts_char_value_t</scope><name>value</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>